library debug_tool;

import 'package:debug_tool/json_parsed.dart';
import 'package:debug_tool/create_model.dart';

/// 打印解析后带格式的json数据
void printJson(Object json) {
  if (json is List) {
    JsonParsed.list(json).printStr();
  } else if (json is Map) {
    JsonParsed.map(json).printStr();
  } else {
    String line = "${json}";
    print(line);
  }
}

/**
 * 该函数提供打印出模型类/实体类的内容（字符串形式）形成一个模型类/实体类
 *    
 * [objc] --->需要解析成模型类/实体类的map对象
 * 
 * [className] 模型类/实体类 的类名（名称）
 * 
 * [superClassName] 模型类/实体类的父类类名（名称）默认继承 Object
 * 
 *  
 */
void creatModelFrom(Map<String, dynamic> json, String className,
    [String superClassName = "Object"]) {
  CreatClassModel.getPropertyFormMapWithCreatClassModel(
      json, className, superClassName);
}
